org.gradle.platform.base

## Interface DependencySpec

- All Known Subinterfaces:
    DependencySpecBuilder

      @Incubating
      public interface DependencySpec

  A dependency onto a Gradle component.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLibraryName()` Returns the name of the library this dependency refers to.
    `String` | `getProjectPath()` Returns the project path of the project this dependency refers to.

- - ### Method Detail

    - #### getProjectPath

          @Nullable
          String getProjectPath()

      Returns the project path of the project this dependency refers to.
      Returns:
        the project path

    - #### getLibraryName

          @Nullable
          String getLibraryName()

      Returns the name of the library this dependency refers to. If null, it should be assumed that the project defines a single library.
      Returns:
        the library name